Bug 1141841 - Review Request: golang-googlecode-google-api-client - Go libraries for "new style" Google APIs
Summary: Review Request: golang-googlecode-google-api-client - Go libraries for "new s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1122176
TreeView+ depends on / blocked
 
Reported: 2014-09-15 14:58 UTC by Jan Chaloupka
Modified: 2015-04-21 19:32 UTC (History)
2 users (show)

Fixed In Version: golang-googlecode-google-api-client-0-0.6.gitfc402b0.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 14:57:41 UTC
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Jan Chaloupka 2014-09-15 15:26:39 UTC
rpmbuild -ba golang-googlecode-google-api-client.spec
...
Checking for unpackaged file(s): /usr/lib/rpm/check-files /root/rpmbuild/BUILDROOT/golang-googlecode-google-api-client-0-0.1.alpha.hge1c259484b49.fc21.x86_64
error: Installed (but unpackaged) file(s) found:
   /usr/share/gocode/src/code.google.com/p/google-api-go-client/googleapi/internal/uritemplates/LICENSE
   /usr/share/gocode/src/code.google.com/p/google-api-go-client/googleapi/internal/uritemplates/uritemplates.go
   /usr/share/gocode/src/code.google.com/p/google-api-go-client/googleapi/internal/uritemplates/utils.go

LICENSE, uritemplates.go and utils.go are not listed in %files section. They are new from revision: 11e893087017. The newest is e1c259484b49. They should be added to %files section.

Comment 2 Jan Chaloupka 2014-09-16 10:28:03 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-googlecode-google-api-client/golang-googlecode-google-api-client.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-googlecode-google-api-client/golang-googlecode-google-api-client-0-0.1.alpha.hge1c259484b49.fc21.src.rpm

Description: Go libraries for "new style" Google APIs

$ rpmlint /root/rpmbuild/SRPMS/golang-googlecode-google-api-client-0-0.1.alpha.hge1c259484b49.fc21.src.rpm /root/rpmbuild/RPMS/noarch/golang-googlecode-google-api-client-devel-0-0.1.alpha.hge1c259484b49.fc21.noarch.rpm golang-googlecode-google-api-client.spec 
golang-googlecode-google-api-client.src: W: invalid-url Source0: google-api-go-client-e1c259484b49.tar.gz
golang-googlecode-google-api-client.spec: W: invalid-url Source0: google-api-go-client-e1c259484b49.tar.gz
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Initial commit by Adam Miller

Koji: Unfortunatelly, this build depends on bz1141822. If needed, please build locally. On my machine (x86_64), it builds sucesfully.

Comment 4 Lokesh Mandvekar 2014-09-19 11:03:47 UTC
LGTM.

specfile follows golang package draft guidelines: https://fedoraproject.org/wiki/PackagingDrafts/Go

Comment 5 Jan Chaloupka 2014-09-19 11:12:43 UTC
New Package SCM Request
=======================
Package Name: golang-googlecode-google-api-client
Short Description: Go libraries for "new style" Google APIs
Upstream URL: https://code.google.com/p/google-api-go-client/
Owners: jchaloup lsm5 vbatts
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 6 Gwyn Ciesla 2014-09-19 13:47:07 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-09-23 14:53:40 UTC
golang-googlecode-google-api-client-0-0.2.alpha.hge1c259484b49.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-google-api-client-0-0.2.alpha.hge1c259484b49.fc20

Comment 8 Fedora Update System 2014-09-23 14:57:02 UTC
golang-googlecode-google-api-client-0-0.2.alpha.hge1c259484b49.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-googlecode-google-api-client-0-0.2.alpha.hge1c259484b49.fc21

Comment 9 Fedora Update System 2014-10-01 04:16:45 UTC
golang-googlecode-google-api-client-0-0.2.alpha.hge1c259484b49.fc21 has been pushed to the Fedora 21 stable repository.

Comment 10 Fedora Update System 2014-10-16 01:57:31 UTC
golang-googlecode-google-api-client-0-0.2.alpha.hge1c259484b49.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2015-01-23 12:54:41 UTC
golang-googlecode-google-api-client-0-0.4.gitfc402b0.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-google-api-client-0-0.4.gitfc402b0.fc20

Comment 12 Fedora Update System 2015-01-23 12:54:59 UTC
golang-googlecode-google-api-client-0-0.4.gitfc402b0.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-googlecode-google-api-client-0-0.4.gitfc402b0.fc21

Comment 13 Fedora Update System 2015-01-23 12:56:19 UTC
golang-googlecode-google-api-client-0-0.4.gitfc402b0.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-google-api-client-0-0.4.gitfc402b0.el6

Comment 14 Fedora Update System 2015-02-03 12:03:35 UTC
golang-googlecode-google-api-client-0-0.4.gitfc402b0.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-02-03 12:05:08 UTC
golang-googlecode-google-api-client-0-0.4.gitfc402b0.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-02-14 02:51:57 UTC
golang-googlecode-google-api-client-0-0.4.gitfc402b0.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-03-26 14:53:10 UTC
golang-googlecode-google-api-client-0-0.5.gitfc402b0.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-google-api-client-0-0.5.gitfc402b0.fc20

Comment 18 Fedora Update System 2015-03-26 14:53:37 UTC
golang-googlecode-google-api-client-0-0.5.gitfc402b0.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-googlecode-google-api-client-0-0.5.gitfc402b0.fc21

Comment 19 Fedora Update System 2015-03-26 14:59:33 UTC
golang-googlecode-google-api-client-0-0.5.gitfc402b0.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-googlecode-google-api-client-0-0.5.gitfc402b0.fc22

Comment 20 Fedora Update System 2015-03-26 15:11:00 UTC
golang-googlecode-google-api-client-0-0.5.gitfc402b0.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-google-api-client-0-0.5.gitfc402b0.el6

Comment 21 Fedora Update System 2015-03-26 15:52:02 UTC
golang-googlecode-google-api-client-0-0.6.gitfc402b0.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-google-api-client-0-0.6.gitfc402b0.fc20

Comment 22 Fedora Update System 2015-03-26 15:59:04 UTC
golang-googlecode-google-api-client-0-0.6.gitfc402b0.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-googlecode-google-api-client-0-0.6.gitfc402b0.fc21

Comment 23 Fedora Update System 2015-03-26 16:01:33 UTC
golang-googlecode-google-api-client-0-0.6.gitfc402b0.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-googlecode-google-api-client-0-0.6.gitfc402b0.fc22

Comment 24 Fedora Update System 2015-03-26 16:02:18 UTC
golang-googlecode-google-api-client-0-0.6.gitfc402b0.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-google-api-client-0-0.6.gitfc402b0.el6

Comment 25 Fedora Update System 2015-04-09 09:09:23 UTC
golang-googlecode-google-api-client-0-0.6.gitfc402b0.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2015-04-09 09:11:50 UTC
golang-googlecode-google-api-client-0-0.6.gitfc402b0.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2015-04-21 19:32:32 UTC
golang-googlecode-google-api-client-0-0.6.gitfc402b0.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.